Package org.codehaus.plexus.util.cli

# Class WriterStreamConsumer

java.lang.Object
org.codehaus.plexus.util.cli.WriterStreamConsumer

All Implemented Interfaces:
  `StreamConsumer`

public class WriterStreamConsumer extends Object implements StreamConsumer

Author:
  Jason van Zyl

## Constructor Summary

Constructors
Constructor
Description
`WriterStreamConsumer(Writer writer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`consumeLine(String line)`
Called when the StreamPumper pumps a line from the Stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WriterStreamConsumer

public WriterStreamConsumer(Writer writer)

## Method Details

### consumeLine

public void consumeLine(String line)
Description copied from interface: `StreamConsumer`
Called when the StreamPumper pumps a line from the Stream.

Specified by:
  `consumeLine` in interface `StreamConsumer`
Parameters:
  `line` - The line to be consumed.